

#include "BUILTIN.h"
extern OBJ _ASubrelConv_1(OBJ);OBJ __ASubrelConv_1; /* ` */
OBJ __ASubrelConv_2; /* `'2 */
OBJ __ASubrelConv_3; /* `'3 */
OBJ __ASubrelConv_4; /* `'4 */

extern OBJ _ASubrelConv_1(OBJ x1) /* ` */
{OBJ r;
 switch(TGPRM(x1)){
  case 2:
   CPPRD(__ASubrelConv_3,1);
   r=__ASubrelConv_3;break;
  case 0:
   CPPRD(__ASubrelConv_4,1);
   r=__ASubrelConv_4;break;
  default: 
   CPPRD(__ASubrelConv_2,1);
   r=__ASubrelConv_2;}
 return r;}

init_ASubrelConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASubrel();
 DEN("=",__ASubrelConv_4);
 DEN("<",__ASubrelConv_3);
 DEN("|=",__ASubrelConv_2);
 CLS(1,_ASubrelConv_1,__ASubrelConv_1);}

